export declare const components: {
    button: {
        transaction: {
            container: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
                border: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
            };
            icon: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
            };
        };
        sm: {
            generic: {
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                textLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                borderRadius: string;
            };
            icon: {
                size: string;
            };
            ghost: {
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                textLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                borderRadius: string;
            };
        };
        md: {
            generic: {
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                borderRadius: string;
                textLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            icon: {
                size: string;
            };
            ghost: {
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                textLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                borderRadius: string;
            };
        };
        lg: {
            generic: {
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                borderRadius: string;
                textLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            icon: {
                size: string;
            };
            ghost: {
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                textLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                borderRadius: string;
            };
        };
        brand: {
            container: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
                border: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
            };
            icon: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
            };
        };
        alternative: {
            container: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
                border: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
            };
            icon: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
            };
        };
        outline: {
            container: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
                border: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
            };
            icon: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
            };
        };
        ghost: {
            container: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
                border: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
            };
            icon: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
            };
        };
    };
    input: {
        icon: {
            size: string;
        };
        paddingHorizontal: string;
        paddingVertical: string;
        gap: string;
        contentGap: string;
        requiredGap: string;
        borderRadius: string;
        fieldLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
        required: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
        inputPlaceholder: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
        error: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
        grey: {
            container: {
                color: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
                border: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    fieldLabel: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    inputPlaceholder: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    required: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    errorMessage: {
                        error: string;
                        errorFilled: string;
                    };
                };
            };
            icon: {
                color: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
            };
        };
        border: {
            container: {
                color: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
                border: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    fieldLabel: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    inputPlaceholder: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    required: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    errorMessage: {
                        error: string;
                        errorFilled: string;
                    };
                };
            };
            icon: {
                color: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
            };
        };
    };
    dropdown: {
        icon: {
            size: string;
        };
        paddingHorizontal: string;
        paddingVertical: string;
        gap: string;
        contentGap: string;
        requiredGap: string;
        grey: {
            container: {
                color: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
                border: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    fieldLabel: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    inputPlaceholder: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    required: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    errorMessage: {
                        error: string;
                        errorFilled: string;
                    };
                };
            };
            icon: {
                color: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
            };
        };
        border: {
            container: {
                color: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
                border: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    fieldLabel: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    inputPlaceholder: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    required: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    errorMessage: {
                        error: string;
                        errorFilled: string;
                    };
                };
            };
            icon: {
                color: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
            };
        };
        borderRadius: string;
        fieldLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
        error: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
        inputPlaceholder: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
        required: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
    };
    select: {
        paddingHorizontal: string;
        paddingVertical: string;
        container: {
            color: {
                default: string;
                hover: string;
                active: string;
                header: string;
                disable: string;
            };
        };
        text: {
            color: {
                default: string;
                hover: string;
                active: string;
                header: string;
                disable: string;
            };
        };
        gap: string;
        borderRadius: string;
        fieldLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
    };
    radioButton: {
        gap: string;
        circle: {
            color: {
                default: string;
                hover: string;
                selected: string;
                focus: string;
                error: string;
                disableSelected: string;
                disable: string;
            };
        };
        innerCircle: {
            color: {
                default: string;
                hover: string;
                selected: string;
                focus: string;
                error: string;
                disableSelected: string;
                disable: string;
            };
        };
        focus: {
            color: {
                default: string;
                hover: string;
                selected: string;
                focus: string;
                error: string;
                selectedDisable: string;
                disable: string;
            };
        };
        text: {
            color: {
                textLabel: {
                    default: string;
                    hover: string;
                    selected: string;
                    focus: string;
                    error: string;
                    disableSelected: string;
                    disable: string;
                };
                errorLabel: {
                    default: string;
                    hover: string;
                    selected: string;
                    focus: string;
                    error: string;
                    disableSelected: string;
                    disable: string;
                };
            };
        };
        fieldLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
        errorLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
    };
    checkbox: {
        gap: string;
        square: {
            color: {
                default: string;
                hover: string;
                selected: string;
                hoverSelected: string;
                focus: string;
                error: string;
                disableSelected: string;
                disable: string;
            };
        };
        innerSquare: {
            color: {
                default: string;
                hover: string;
                selected: string;
                hoverSelected: string;
                focus: string;
                error: string;
                disableSelected: string;
                disable: string;
            };
        };
        focus: {
            color: {
                default: string;
                hover: string;
                selected: string;
                hoverSelected: string;
                focus: string;
                error: string;
                selectedDisable: string;
                disable: string;
            };
        };
        checkmark: {
            color: {
                default: string;
                hover: string;
                selected: string;
                hoverSelected: string;
                focus: string;
                error: string;
                selectedDisable: string;
                disable: string;
            };
        };
        text: {
            color: {
                textLabel: {
                    default: string;
                    hover: string;
                    selected: string;
                    hoverSelected: string;
                    focus: string;
                    error: string;
                    disableSelected: string;
                    disable: string;
                };
                errorLabel: {
                    default: string;
                    hover: string;
                    selected: string;
                    hoverSelected: string;
                    focus: string;
                    error: string;
                    disableSelected: string;
                    disable: string;
                };
            };
        };
        fieldLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
        errorLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
    };
    segmentControl: {
        paddingHorizontal: string;
        paddingVertical: string;
        gap: string;
        container: {
            color: {
                default: string;
                pressed: string;
            };
        };
        text: {
            color: {
                default: string;
                pressed: string;
            };
        };
        border: {
            color: {
                default: string;
                pressed: string;
            };
        };
        fieldLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
    };
    tabs: {
        basic: {
            paddingHorizontal: string;
            paddingVertical: string;
            gap: string;
            container: {
                color: {
                    default: string;
                    active: string;
                    hover: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    default: string;
                    active: string;
                    hover: string;
                    disable: string;
                };
            };
            border: {
                color: {
                    default: string;
                    active: string;
                    hover: string;
                    disable: string;
                };
            };
            borderRadius: string;
            fieldLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            outsideBorder: {
                color: {
                    generic: string;
                };
            };
        };
        card: {
            paddingHorizontal: string;
            paddingVertical: string;
            gap: string;
            container: {
                color: {
                    default: string;
                    active: string;
                    hover: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    default: string;
                    active: string;
                    hover: string;
                    disable: string;
                };
            };
            border: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
            };
            borderRadius: string;
            fieldLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            outsideBorder: {
                color: {
                    generic: string;
                };
            };
        };
    };
    accordion: {
        icon: {
            size: string;
            color: {
                default: string;
                hover: string;
                disable: string;
            };
        };
        header: {
            paddingHorizontal: string;
            paddingVertical: string;
            gap: string;
            color: {
                default: string;
                hover: string;
                disable: string;
            };
        };
        content: {
            paddingHorizontal: string;
            paddingVertical: string;
            gap: string;
            color: {
                default: string;
                hover: string;
            };
        };
        text: {
            color: {
                title: {
                    default: string;
                    hover: string;
                    disable: string;
                };
                content: {
                    default: string;
                    hover: string;
                };
            };
        };
        border: {
            color: {
                default: string;
                hover: string;
                disable: string;
            };
        };
        titleLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
        contentLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
    };
    accordions: {
        borderRadius: string;
    };
    tile: {
        icon: {
            size: string;
            color: {
                default: string;
                hover: string;
                selected: string;
                disable: string;
            };
        };
        img: {
            sizeWidth: string;
            sizeHeight: string;
            opacity: string;
        };
        paddingHorizontal: string;
        paddingVertical: string;
        gap: string;
        container: {
            color: {
                default: string;
                hover: string;
                selected: string;
                disable: string;
            };
        };
        border: {
            color: {
                default: string;
                hover: string;
                selected: string;
                disable: string;
            };
        };
        text: {
            color: {
                default: string;
                hover: string;
                selected: string;
                disable: string;
            };
        };
        textLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
    };
    border: {
        borderRadius: string;
    };
    accordionGroup: {
        gap: string;
    };
    inputNumber: {
        icon: {
            size: string;
        };
        paddingHorizontal: string;
        paddingVertical: string;
        gap: string;
        contentGap: string;
        requiredGap: string;
        grey: {
            container: {
                color: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
                border: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    fieldLabel: {
                        default: string;
                        filled: string;
                        focus: string;
                        errorFilled: string;
                        disable: string;
                    };
                    inputPlaceholder: {
                        default: string;
                        filled: string;
                        focus: string;
                        errorFilled: string;
                        disable: string;
                    };
                    required: {
                        default: string;
                        filled: string;
                        focus: string;
                        errorFilled: string;
                        disable: string;
                    };
                    errorMessage: {
                        error: string;
                        errorFilled: string;
                    };
                };
            };
            icon: {
                color: {
                    default: string;
                    disable: string;
                };
            };
        };
        border: {
            container: {
                color: {
                    default: string;
                    filled: string;
                    focus: string;
                    errorFilled: string;
                    disable: string;
                };
                border: {
                    default: string;
                    filled: string;
                    focus: string;
                    errorFilled: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    fieldLabel: {
                        default: string;
                        filled: string;
                        focus: string;
                        errorFilled: string;
                        disable: string;
                    };
                    inputPlaceholder: {
                        default: string;
                        filled: string;
                        focus: string;
                        errorFilled: string;
                        disable: string;
                    };
                    required: {
                        default: string;
                        filled: string;
                        focus: string;
                        errorFilled: string;
                        disable: string;
                    };
                    errorMessage: {
                        error: string;
                        errorFilled: string;
                    };
                };
            };
            icon: {
                color: {
                    default: string;
                    disable: string;
                };
            };
        };
        fieldLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
        required: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
        inputPlaceholder: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
        error: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
        borderRadius: string;
    };
    rangeSlider: {
        gap: string;
        lineAccent: {
            color: {
                default: string;
                disable: string;
            };
        };
        lineBackground: {
            color: {
                default: string;
                disable: string;
            };
        };
        knob: {
            color: {
                default: string;
                active: string;
                disable: string;
            };
            border: {
                default: string;
                active: string;
                disable: string;
            };
        };
        valueLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
        textLabel: {
            color: {
                default: string;
                disable: string;
            };
        };
    };
    topTagline: {
        paddingHorizontal: string;
        paddingVertical: string;
        container: {
            color: {
                default: string;
            };
        };
        text: {
            color: {
                default: string;
            };
        };
        textLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
    };
    textArea: {
        paddingHorizontal: string;
        paddingVertical: string;
        gap: string;
        contentGap: string;
        requiredGap: string;
        grey: {
            container: {
                color: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
                border: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    fieldLabel: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    inputPlaceholder: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    required: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    errorMessage: {
                        error: string;
                        errorFilled: string;
                    };
                };
            };
        };
        border: {
            container: {
                color: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
                border: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    fieldLabel: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    inputPlaceholder: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    required: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    errorMessage: {
                        error: string;
                        errorFilled: string;
                    };
                };
            };
        };
        borderRadius: string;
        fieldLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
        required: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
        inputPlaceholder: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
        error: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
    };
    sectionHeader: {
        safeZone: string;
        gap: string;
        container: {
            color: {
                default: string;
            };
        };
        text: {
            color: {
                default: string;
            };
        };
        textLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
    };
    progressBar: {
        lineAccent: {
            color: {
                default: string;
                disable: string;
            };
        };
        lineBackground: {
            color: {
                default: string;
                disable: string;
            };
        };
        textLabel: {
            color: {
                default: string;
                disable: string;
            };
        };
        safeZone: string;
        gap: string;
        valueLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
    };
    topTaglogin: {
        paddingHorizontal: string;
        paddingVertical: string;
        gap: string;
        contentGap: string;
        icon: {
            size: string;
            color: {
                default: string;
            };
        };
        container: {
            color: {
                default: string;
            };
        };
        text: {
            color: {
                fieldLabel: {
                    disable: string;
                };
            };
        };
        fieldLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
    };
    verticalCard: {
        grey: {
            container: {
                color: {
                    default: string;
                    hover: string;
                };
                border: {
                    default: string;
                    hover: string;
                    disable: string;
                };
            };
            title: {
                color: {
                    default: string;
                    hover: string;
                };
            };
        };
        mobile: {
            pictogram: {
                size: string;
            };
            paddingHorizontal: string;
            paddingVertical: string;
            gap: string;
            title: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        desktop: {
            pictogram: {
                size: string;
            };
            paddingHorizontal: string;
            paddingVertical: string;
            gap: string;
            title: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        light: {
            container: {
                color: {
                    default: string;
                    hover: string;
                };
                border: {
                    default: string;
                    hover: string;
                };
            };
            title: {
                color: {
                    default: string;
                    hover: string;
                };
            };
        };
        borderRadius: string;
        shadow: {
            default: {
                0: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
                1: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
            };
            hover: {
                0: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
                1: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
            };
        };
    };
    steper: {
        icon: {
            size: string;
            completed: string;
            error: string;
        };
        indicator: {
            gap: string;
            paddingVertical: string;
        };
        circle: {
            default: string;
            selected: string;
            completed: string;
            error: string;
        };
        border: {
            default: string;
            selected: string;
            completed: string;
            error: string;
        };
        text: {
            default: string;
            selected: string;
        };
        textTitle: {
            fontFamily: any;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
        };
        textIndicator: {
            fontFamily: any;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
        };
        lineSteper: {
            default: string;
        };
        rowContent: {
            gap: string;
        };
        content: {
            paddingBottom: string;
            gap: string;
        };
        wrapper: string;
    };
    price: {
        text: {
            accent: string;
            base: string;
            danger: string;
        };
        mobile: {
            small: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            medium: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        desktop: {
            small: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            medium: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        gap: string;
    };
    testimonialCard: {
        paddingHorizontal: string;
        paddingVertical: string;
        gap: string;
        container: {
            color: {
                default: string;
            };
        };
        text: {
            color: {
                userLocatioin: {
                    default: string;
                };
                title: {
                    default: string;
                };
                body: {
                    default: string;
                };
                userName: {
                    default: string;
                };
            };
        };
        desktop: {
            titleLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            bodyLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            userLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            locationLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        img: {
            sizeWidth: string;
            sizeHeight: string;
        };
        mobile: {
            titleLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            bodyLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            userLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            locationLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
    };
    divider: {
        desktop: {
            paddingVertical: string;
            gap: string;
            text: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        mobile: {
            paddingVertical: string;
            gap: string;
            text: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        text: {
            default: string;
        };
        border: {
            default: string;
        };
    };
    pagination: {
        gap: string;
        pages: {
            subtle: string;
            default: string;
            icon: {
                size: string;
                default: string;
            };
        };
    };
    rating: {
        icon: {
            size: string;
            color: {
                default: string;
            };
        };
        gap: string;
    };
    carousell: {
        controlGap: string;
        contentGap: string;
    };
    sideMenu: {
        icon: {
            size: string;
        };
        gap: string;
        contentGap: string;
        textLabel: {
            color: {
                active: string;
                default: string;
            };
        };
        fieldLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
    };
    chips: {
        icon: {
            size: string;
            color: {
                default: string;
                hover: string;
                selected: string;
                disable: string;
            };
        };
        media: {
            size: string;
        };
        mobile: {
            paddingHorizontal: string;
            paddingVertical: string;
            gap: string;
            textLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        desktop: {
            paddingHorizontal: string;
            paddingVertical: string;
            gap: string;
            textLabel: {
                textLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
        };
        borderRadius: string;
        container: {
            color: {
                default: string;
                hover: string;
                selected: string;
            };
        };
        border: {
            color: {
                default: string;
            };
        };
        text: {
            color: {
                default: string;
                hover: string;
                selected: string;
                disable: string;
            };
        };
    };
    productCard: {
        carrier: {
            asset: {
                size: string;
            };
        };
        highlight: {
            icon: {
                size: string;
                color: {
                    default: string;
                };
            };
            gap: string;
            paddingHorizontal: string;
            paddingVertical: string;
            background: {
                color: {
                    default: string;
                };
            };
            border: {
                color: {
                    default: string;
                };
            };
            text: {
                color: {
                    default: string;
                };
            };
        };
        addOns: {
            icon: {
                size: string;
                color: {
                    base: {
                        default: string;
                        selected: string;
                    };
                    accent: {
                        default: string;
                        selected: string;
                    };
                };
            };
            text: {
                color: {
                    coverageLabel: {
                        default: string;
                        selected: string;
                    };
                };
            };
            price: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        card: {
            gap: string;
            paddingHorizontal: string;
            paddingVertical: string;
            background: {
                color: {
                    default: string;
                    selected: string;
                };
            };
            border: {
                color: {
                    default: string;
                    selected: string;
                };
            };
        };
        planInfo: {
            mobile: {
                gap: string;
            };
            desktop: {
                gap: string;
            };
            mainInfo: {
                gap: string;
                priceGap: string;
                nameGap: string;
                contentGap: string;
            };
            coverageSummary: {
                gap: string;
                contentGap: string;
            };
            compare: {
                gap: string;
            };
            addOns: {
                optional: {
                    gap: string;
                };
                special: {
                    gap: string;
                    contentGap: string;
                };
                itemGap: {
                    desktop: string;
                    mobile: string;
                };
            };
            background: {
                color: {
                    default: string;
                    selected: string;
                };
            };
            text: {
                color: {
                    mainInfo: {
                        productName: {
                            default: string;
                            selected: string;
                        };
                        carrierName: {
                            default: string;
                            selected: string;
                        };
                        duration: {
                            default: string;
                            selected: string;
                        };
                    };
                    coverageSummary: {
                        coverage: {
                            default: string;
                            selected: string;
                        };
                        price: {
                            default: string;
                            selected: string;
                        };
                    };
                    compare: {
                        label: {
                            default: string;
                            hover: string;
                            selected: string;
                        };
                    };
                };
            };
        };
        coverageDetail: {
            icon: {
                size: string;
                color: {
                    default: string;
                    selected: string;
                };
            };
            gap: string;
            contentGap: string;
            price: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            coverage: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            text: {
                color: {
                    coverage: {
                        default: string;
                        selected: string;
                    };
                    price: {
                        default: string;
                        selected: string;
                    };
                    error: {
                        default: string;
                        selected: string;
                    };
                };
            };
        };
        coverageContainer: {
            gap: string;
            rowGap: string;
            paddingVertical: string;
            paddingHorizontal: string;
            background: {
                color: {
                    default: string;
                    selected: string;
                };
            };
            text: {
                color: {
                    title: {
                        default: string;
                        selected: string;
                    };
                };
            };
            title: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        actions: {
            gap: string;
        };
        borderRadius: string;
        shadow: {
            default: {
                0: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
                1: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
            };
            selected: {
                0: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
                1: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
            };
        };
        hightlight: {
            label: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        mainInfo: {
            productName: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            carrierName: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            duration: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        coverageSummary: {
            price: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            coverage: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        compare: {
            label: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
    };
};
